<%--
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
--%>

<%--
//
//
//	StartLearning.jsp
//
//			変更履歴
//				2003.02.01	新規作成
//				2007.11		XSS脆弱性対応のため変更
//
//	機能
//  学習画面フレーム
//
--%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@page language="java" contentType="text/html; charset=Windows-31J" pageEncoding="Windows-31J"%>
<%@page errorPage="JSPError.jsp"%>
<%@page import="jp.co.ntt.lms.xms.common.util.*"%>
<%@page import="jp.co.ntt.lms.xms.framework.*"%>
<%@page import="jp.co.ntt.lms.lo.scorm.engine.*"%>
<%@page import="jp.co.ntt.lms.lo.scorm.kernel.*"%>
<%@page import="jp.co.ntt.lms.lo.scorm.kernel.exception.*"%>
<%@page import="jp.co.ntt.lms.lo.scorm.util.*"%>
<html>
<head>
	<meta http-equiv="Content-Type" content="<%= SG.get("MetaContentType") %>">
	<meta http-equiv="Pragma" content="No-Cache">
	<meta http-equiv="Cache-Control" content="No-Cache">
	<title><%= Message.get("Titles/Title[@id='StartLearning']") %></title>
</head>
<%
	// BusinessBeanをrequstから取り出す
	StartLearningBusinessBean slbb = (StartLearningBusinessBean)request.getAttribute(Constant.KEY_BUSINESS_BEAN);

	// 起動パラメータをBusinessBeanから取り出す
	ExecuteParameters executeParameters = (ExecuteParameters)slbb.getExecuteParameters();
%>
<script language="JavaScript">
<%-- XMSⅡからの"COMD"パラメータ --%>
var g_startCommand = "<%= StringUtil.convertForHtml(executeParameters.getStartCommand()) %>";

<%-- XMSⅡからの"StudySession"パラメータ --%>
var g_studySessionCount = "<%= StringUtil.convertForHtml(executeParameters.getStudySessionCount()) %>";

<%-- XMSⅡからの"LoginSession"パラメータ --%>
var g_launchCount = "<%= StringUtil.convertForHtml(executeParameters.getLaunchCount()) %>";

<%-- XMSⅡからの"LOID"パラメータ --%>
var g_LOID = "<%= StringUtil.convertForHtml(executeParameters.getLOID()) %>";

<%-- XMSⅡからの"ManifestID"パラメータ --%>
var g_manifestID = "<%= StringUtil.convertForHtml(executeParameters.getManifestID()) %>";

<%-- XMSⅡからの"ForeignLOID"パラメータ --%>
var g_foreignLOID = "<%= StringUtil.convertForHtml(executeParameters.getForeignLOID()) %>";

<%-- XMSⅡからの"USERID"パラメータ --%>
var g_userID = "<%= StringUtil.convertForHtml(executeParameters.getUserID()) %>";

<%-- XMSⅡからの"StudentName"パラメータ --%>
var g_userName = "<%= StringUtil.convertForHtml(executeParameters.getUserName()) %>";

<%-- XMSⅡからの"StudyInfoURL"パラメータ --%>
var g_studyInfoURL = "<%= StringUtil.convertForHtml(executeParameters.getStudyInfoURL()) %>";

<%-- XMSⅡからの"EndURL"パラメータ --%>
var g_endLearnServletURL = "<%= StringUtil.convertForHtml(executeParameters.getEndLearnServletURL()) %>";

<%-- XMSⅡからの"study_start_date"パラメータ --%>
var g_studyStartDate = "<%= StringUtil.convertForHtml(executeParameters.getStudyStartDate()) %>";

<%-- 全てのポップアップウィンドウ --%>
var g_popupWindows = new Array();

<%-- 目次ポップアップウィンドウ --%>
var g_contentsMenuPopupWindow = null;

<%
	String navigationCommand = null;

	// 起動パラメータの"COMD"が"NEW"だった場合、
	if (executeParameters.getStartCommand().equals("NEW")) {
		// ナビゲーションコマンドは"Start"(新規学習)
		navigationCommand = "Start";
	}
	// 起動パラメータの"COMD"が"CONT"だった場合、
	else if (executeParameters.getStartCommand().equals("CONT")) {
		// ナビゲーションコマンドは"ResumeAll"(学習再開)
		navigationCommand = "ResumeAll";
	}
	// 上記以外は不正なパラメータなので例外を発生させる
	else {
		throw new SystemException(
			"不正な開始コマンドが指定されました[" + executeParameters.getStartCommand() + "]");
	}
%>

<%--
 * 全てのポップアップウィンドウをクローズする
--%>
function closePopupWindow()
{
	if (g_contentsMenuPopupWindow != null) {
		if (!g_contentsMenuPopupWindow.closed) {
			g_contentsMenuPopupWindow.close();
		}
	}

	var i;

	for (i = 0; i < g_popupWindows.length; i++) {
		if (!g_popupWindows[i].closed) {
			g_popupWindows[i].close();
		}
	}
}

function firstSet(){
	API.myInit();
	API_1484_11.nInit();
}

function finalSet(){
	if(typeof(main.Button)=="object"){
		if(typeof(main.Button.LMSUI_NavSuspendAll)=="function"){
			main.Button.LMSUI_NavSuspendAll();
		}
	}else if(typeof(main.ContentsMenu)=="object"){
		if(typeof(ContentsMenu.LMSUI_NavSuspendAll)=="function"){
			main.ContentsMenu.LMSUI_NavSuspendAll();
		}
	}else{
		// ボタンフレームも目次フレームもない場合の処理
		
	}
}
</script>
<frameset rows="100%,*,*,*" cols="*" onload="firstSet()" onunload="finalSet()">
	<frame src="blank.html" name="main" noresize frameborder="0">
	<frame src="<%= SG.get("SystemBaseURL") %>jsp/API_1484_11.jsp?startCommand=<%= navigationCommand %>" name="API_1484_11" noresize frameborder="0">
	<frame src="<%= SG.get("SystemBaseURL") %>jsp/ScormAPI.jsp" name="API" noresize frameborder="0">
	<frame src="<%= SG.get("SystemBaseURL") %>jsp/PopupCloser.jsp" noresize frameborder="0">
</frameset>
</html>
